Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class GenFeatureValueSpecImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.codegen.gmfgen.impl.GenFeatureValueSpecImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, GenFeatureInitializer, GenFeatureValueSpec

    public class GenFeatureValueSpecImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements GenFeatureValueSpec

An implementation of the model object 'Gen Feature Value Spec'.

The following features are implemented:

- `Feature`
- `Feature Seq Initializer`
- `Value`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected org.eclipse.emf.codegen.ecore.genmodel.GenFeature` `feature` The cached value of the '`Feature`' reference
`protected ValueExpression` `value` The cached value of the '`Value`' reference

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenFeatureValueSpecImpl()`

Method Summary
`org.eclipse.emf.codegen.ecore.genmodel.GenFeature` `basicGetFeature()`
`ValueExpression` `basicGetValue()`
`org.eclipse.emf.common.notify.NotificationChain` `eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`org.eclipse.emf.codegen.ecore.genmodel.GenFeature` `getFeature()`
`GenFeatureSeqInitializer` `getFeatureSeqInitializer()`
`ValueExpression` `getValue()`
`void` `setFeature(org.eclipse.emf.codegen.ecore.genmodel.GenFeature newFeature)`
`void` `setValue(ValueExpression newValue)`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### feature

    protected org.eclipse.emf.codegen.ecore.genmodel.GenFeature feature

  The cached value of the '`Feature`' reference.

  See Also:
    `getFeature()`
  ** Generated **
  Ordered:

### value

    protected ValueExpression value

  The cached value of the '`Value`' reference.

  See Also:
    `getValue()`
  ** Generated **
  Ordered:

Constructor Detail

### GenFeatureValueSpecImpl

    protected GenFeatureValueSpecImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`
  ** Generated **

### getFeature

    public org.eclipse.emf.codegen.ecore.genmodel.GenFeature getFeature()

  Specified by:
    `getFeature` in interface `GenFeatureInitializer`
  Returns:
    the value of the 'Feature' reference.
  See Also:
    `GenFeatureInitializer.setFeature(GenFeature)`, `GMFGenPackage.getGenFeatureInitializer_Feature()`
  ** Generated **

### basicGetFeature

    public org.eclipse.emf.codegen.ecore.genmodel.GenFeature basicGetFeature()

  ** Generated **

### setFeature

    public void setFeature(org.eclipse.emf.codegen.ecore.genmodel.GenFeature newFeature)

  Specified by:
    `setFeature` in interface `GenFeatureInitializer`
  Parameters:
    `newFeature` - the new value of the 'Feature' reference.
  See Also:
    `GenFeatureInitializer.getFeature()`
  ** Generated **

### getFeatureSeqInitializer

    public GenFeatureSeqInitializer getFeatureSeqInitializer()

  Specified by:
    `getFeatureSeqInitializer` in interface `GenFeatureInitializer`
  Returns:
    the value of the 'Feature Seq Initializer' container reference.
  See Also:
    `GMFGenPackage.getGenFeatureInitializer_FeatureSeqInitializer()`, `GenFeatureSeqInitializer.getInitializers()`
  ** Generated **

### getValue

    public ValueExpression getValue()

  Specified by:
    `getValue` in interface `GenFeatureValueSpec`
  Returns:
    the value of the 'Value' reference.
  See Also:
    `GenFeatureValueSpec.setValue(ValueExpression)`, `GMFGenPackage.getGenFeatureValueSpec_Value()`
  ** Generated **

### basicGetValue

    public ValueExpression basicGetValue()

  ** Generated **

### setValue

    public void setValue(ValueExpression newValue)

  Specified by:
    `setValue` in interface `GenFeatureValueSpec`
  Parameters:
    `newValue` - the new value of the 'Value' reference.
  See Also:
    `GenFeatureValueSpec.getValue()`
  ** Generated **

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eBasicRemoveFromContainerFeature

    public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.